# basix.quadrature

Functions to manipulate quadrature types.

Functions

`gauss_jacobi_rule`(alpha, npoints) | Create a Gauss-Jacobi quadrature rule for integrating f(x)*(1-x)**alpha on the interval [0, 1].
`make_quadrature`(cell, degree[, rule, ...]) | Create a quadrature rule.
`string_to_type`(rule) | Convert a string to a Basix QuadratureType enum.

basix.quadrature.make_quadrature(cell: CellType, degree: int, rule: QuadratureType = QuadratureType.default, polyset_type: PolysetType = PolysetType.standard) → tuple[ArrayLike, ArrayLike]

  Create a quadrature rule.

  Parameters:

    - cell – Cell type.

    - degree – Maximum polynomial degree that will be integrated exactly.

    - rule – Quadrature rule.

    - polyset_type – Type of polynomial that will be integrated exactly.

  Returns:

    Quadrature points and weights.

basix.quadrature.string_to_type(rule: str) → QuadratureType

  Convert a string to a Basix QuadratureType enum.

  Parameters:

    rule – Qquadrature rule as a string.

  Returns:

    The quadrature type.